organization.removeMember
DELETE
/v1/organization/members/{userId}
Removes a member and revokes their tokens. If their email domain is still allowed, they join again the next time they sign in. Suspend them to keep them out.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”userId
required
string
Responses
Section titled “Responses”PolicyInvalid | OrganizationRequired
AuthenticationRequired
Media typeapplication/json
object
_tag
required
string
Example
{ "_tag": "AuthenticationRequired"}PermissionDenied | MembershipRequired | ForbiddenOrigin
MemberNotFound
Media typeapplication/json
object
_tag
required
string
userId
required
string
Example
{ "_tag": "MemberNotFound"}LastSuperAdministrator
Media typeapplication/json
object
_tag
required
string
Example
{ "_tag": "LastSuperAdministrator"}OrganizationStorageUnavailable | AuthorizationUnavailable | AuthenticationUnavailable